summaryrefslogtreecommitdiff
path: root/src/pm-is-supported.in
diff options
context:
space:
mode:
authorVictor Lowther <victor.lowther@gmail.com>2008-02-06 10:36:16 -0600
committerVictor Lowther <victor.lowther@gmail.com>2008-02-07 13:46:14 -0600
commita92675f0a02396494b7e5d58fa7ea841ccbe0cc5 (patch)
tree4f59d470a47ae0a93fb0cd63bc0a6dda07656c3a /src/pm-is-supported.in
parent8df496aeffe3a7114fa01912d7605693c5bc64b9 (diff)
Even simpler modularization of sleep methods.
This splits the actual functions that perform the sleep/wakeup into a file which is sourced, adds an environment variable which controls which module is sourced, moves the check functions into the sleep module, modifies pm-action and pm-is-supported to take these changes into account, and modifies the automake machinery to take these changes into account.
Diffstat (limited to 'src/pm-is-supported.in')
-rwxr-xr-xsrc/pm-is-supported.in36
1 files changed, 36 insertions, 0 deletions
diff --git a/src/pm-is-supported.in b/src/pm-is-supported.in
new file mode 100755
index 0000000..af2f2cf
--- /dev/null
+++ b/src/pm-is-supported.in
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# Copyright 2007 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of version 2 of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+
+. "@PM-UTILS-LIBDIR@/functions"
+
+help_options() {
+ echo "pm-is-supported [--suspend | --hibernate | --suspend-hybrid ]"
+ echo
+}
+
+ARG="${1#--}"
+
+case "$ARG" in
+ suspend|hibernate|suspend-hybrid)
+ "check_$ARG"; exit $? ;;
+ help) help_options ;;
+ *) help_options 1>&2
+ exit 1 ;;
+esac
+
+exit 0